<div class="row">
  <div class="col-12 d-flex justify-content-between align-items-center">
    <div class="title-warpper">
      <span class="head-title">การกำหนดสิทธิ์การใช้งานในระบบ</span>
      <span class="sub-title">จัดการการกำหนดสิทธิ์ที่จะสามารถเข้าใช้งานในระบบได้</span>
    </div>
    <div class="btn-action-warpper">
      <button mat-stroked-button class="btn-cancel" (click)="viewPermission()">
        ดูรายละเอียดสิทธิ์
      </button>
      <button mat-flat-button class="btn-add-permission" (click)="addPermission()">
        เพิ่มสิทธิ์การใช้งาน
      </button>
    </div>
  </div>
</div>


<div class="alert alert-success" role="alert" [ngStyle]="{'display': saveDraftstatus !== 'success' ? 'none' : ''}">
  <a class=" alert-detail">แก้ไขสิทธิ์ผู้ใช้งานเรียบร้อย</a>
</div>
<div class="alert alert-success" role="alert" [ngStyle]="{'display': statusDelete !== 'success' ? 'none' : ''}">
  <a class=" alert-detail">ลบสิทธิ์ผู้ใช้งานเรียบร้อย</a>
</div>
<div class="row mt-5">

  <div class="col-12">
    <span class="title">รายละเอียดผู้มีสิทธิ์ใช้งานในระบบ {{dataSourceSearch['data'].length}} รายการ</span>
  </div>
  <div class="col-12">
    <hr />
  </div>
  <div class="col-12">
    <div class="table-responsives">
      <table mat-table [dataSource]="dataSourceSearch" class="mat-elevation-z8 mt-3 table-search">
        <ng-container matColumnDef="empoyeeid">
          <th mat-header-cell *matHeaderCellDef>รหัสพนักงาน</th>
          <td mat-cell *matCellDef="let element">{{ element.uid }}</td>
        </ng-container>

        <ng-container matColumnDef="name">
          <th mat-header-cell *matHeaderCellDef>ชื่อ - นามสกุล</th>
          <td mat-cell *matCellDef="let element">{{ element.name }}</td>
        </ng-container>

        <ng-container matColumnDef="user_permission">
          <th mat-header-cell *matHeaderCellDef>สิทธิ์ผู้ใช้งาน</th>
          <td mat-cell *matCellDef="let element">
            <a *ngIf="element.role === 'Retail'">
              Retail Shared Services 
            </a>
            <a *ngIf="element.role !== 'Retail'">
              {{ element.role }}
            </a>
          </td>
        </ng-container>

        <ng-container matColumnDef="permission_level">
          <th mat-header-cell *matHeaderCellDef>ระดับสิทธิ์ผู้ใช้งาน</th>
          <td mat-cell *matCellDef="let element">
            {{ element.level }}
          </td>
        </ng-container>



        <ng-container matColumnDef="position">
          <th mat-header-cell *matHeaderCellDef>ตำแหน่ง</th>
          <td mat-cell *matCellDef="let element">{{ element.position }}</td>
        </ng-container>

        <ng-container matColumnDef="department">
          <th mat-header-cell *matHeaderCellDef>ฝ่ายงาน</th>
          <td mat-cell *matCellDef="let element">{{ element.deptCode }}</td>
        </ng-container>

        <ng-container matColumnDef="workgroup">
          <th mat-header-cell *matHeaderCellDef>กลุ่มงาน</th>
          <td mat-cell *matCellDef="let element">{{ element.groupCode }}</td>
        </ng-container>

        <ng-container matColumnDef="division">
          <th mat-header-cell *matHeaderCellDef>สายงาน</th>
          <td mat-cell *matCellDef="let element">{{ element.sctrCode }}</td>
        </ng-container>

        <ng-container matColumnDef="permission_manage">
          <th mat-header-cell *matHeaderCellDef>จัดการสิทธิ์</th>
          <td mat-cell *matCellDef="let element">
            <a class="style-edit" (click)="editPermission(element)" data-toggle="modal" data-target="#object1"
              data-keyboard="false">แก้ไขสิทธิ์</a>
          </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>
      </table>
    </div>
    <mat-paginator #paginator [length]="length" [pageSize]="pageSize" [pageSizeOptions]="pageSizeOptions"
      (page)="pageEvent = $event"></mat-paginator>
  </div>
</div>
<br />

<div class="modal fade" id="object1" tabindex="-1" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
    <div class="modal-content">
      <div class="modal-body">
        <div style="width: 100%;">
          <img class="modal-close" src="assets/img/x.png" data-dismiss="modal" />
        </div>
        <div class="header_detail">
          <a>แก้ไขสิทธิ์การใช้งาน</a>
          <br />
          <div>
            <br />
            <label class="step1-header">ขั้นตอนที่ 1. ตรวจสอบข้อมูลพนักงาน</label>
          </div>
          <br />
          <div class="d-flex" style="width: 100%;">
            <div class="step2-1">
              <label class="sub-step1">รหัสพนักงาน</label>
              <input [(ngModel)]="edit_user.employeeId" class="form-control gray" style="height: 48px;"
                placeholder="รหัสพนักงาน" disabled />
            </div>
            <div class="step2-2">
              <label class="sub-step1">ชื่อ - นามสกุล</label>
              <input [(ngModel)]="edit_user.name" class="form-control gray" style="height: 48px;"
                placeholder="ชื่อ - นามสกุล" disabled />
            </div>
          </div>

          <div>
            <br />
            <hr />
            <br />
            <label class="step1-header">ขั้นตอนที่ 2. แก้ไขสิทธิ์การใช้งาน</label>
          </div>
          <br>
          <label class="sub-step1">สิทธิ์ผู้ใช้งาน</label>

          <!-- <select class="browser-default form-control" [(ngModel)]="permission">
            <option value="" selected disabled>เลือกประเภทสิทธิ์ผู้ใช้งาน</option>
            <option *ngFor="let item of permission_role" [ngValue]="item.name">{{
              item.name
            }}</option>
          </select> -->
          <select class="browser-default custom-select" [(ngModel)]="permission"
            (ngModelChange)="filLevel(permission); ">
            <option value="null" selected disabled>กรุณาเลือกสิทธิ์ผู้ใช้งาน</option>
            <option *ngFor="let item of permissionList" value="{{item.permission}}">
              <a *ngIf="item.permission ==='Retail'">Retail Shared Services </a>
              <a *ngIf="item.permission !=='Retail'">{{item.permission}}</a></option>
          </select>
          <br />

          <label class="sub-step1">ระดับสิทธิ์ผู้ใช้งาน</label>
          <select class="browser-default custom-select" [(ngModel)]="permission_level">
            <option value=" null" selected disabled>กรุณาเลือกระดับสิทธิ์ผู้ใช้งาน</option>
            <option value="{{item}}" *ngFor="let item of level">{{item}}</option>
          </select>
          <br />
        </div>
      </div>
      <div class="footer-modal add-user">
        <div class="add-user-del">
          <a class="del-text" data-dismiss="modal" (click)="delete()">ลบสิทธิ์การใช้งาน</a>
        </div>

        <button class="btn btn-primary add-user-btn" data-dismiss="modal" (click)="save()">
          บันทึก
        </button>
      </div>
    </div>
  </div>
</div>